# オーダーケージの護衛 ![](https://docs.equinix.com/ja/assets/images/OrderCageEscort-03d9712dd9f2ca9087dc6e55dfd1714d.png) ## 前提条件[​](#前提条件 "への直接リンク前提条件") 1. 認証-ユーザー認証情報、クライアントID、クライアントシークレットを送信してOauth2認証を行います。認証情報を検証および認証するためにOAuth APIを呼び出す方法については、「[API認証」を](https://docs.equinix.com/ja/equinix-api/api-authentication.md)参照してください。 2. 入館オーダー番号の取得-エンドポイントにリクエストを[`/colocations/v2/orders/{orderId}`](https://docs.equinix.com/ja/api-catalog/ordersv2/orders/get%20order%20details.md)送信して、`GET`すでにスケジュールされている入館のオーダー番号を取得します。新しい入館をスケジュールするには、エンドポイントにリクエストを[`colocations/v2/orders/workVisits`](https://docs.equinix.com/ja/api-catalog/workvisitsv2/work-visit/schedule%20work%20visit%20services.md)送信します。`POST`入館を予約する権限が必要です。`IBX Access Services`すでに入館オーダー番号をお持ちの場合は、この手順をスキップしても構いません。 3. Smart Handsの詳細を取得するには、ユーザーに発注権限が必要です。`Smart Hands` 4. Get Smart Hands Types -エンドポイントにリクエストを[`/v1/orders/smarthands/types`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/smarthandtypes.md)送信して、`GET`すべてのSmart Handsオーダータイプを取得します。Smart Handsのオーダータイプがすでにわかっている場合は、この手順をスキップできます。 5. ロケーション情報の取得-エンドポイントにリクエストを[`/v1/orders/smarthands/locations`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands/getlocation.md)送信して、`GET`アクセス可能なIBXロケーションを取得します。ロケーション情報がすでにわかっている場合は、この手順をスキップしても構いません。 ## ケージエスコートのご注文 - 最小限の例[​](#ケージエスコートのご注文---最小限の例 "への直接リンクケージエスコートのご注文 - 最小限の例") 訪問者がケージにアクセスできるようにIBXセキュリティエスコートをオーダーするには、エンドポイントにリクエストを[`/smarthands/cageEscort`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands.md)送信します。`POST` サンプルcURLリクエスト: ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/cageEscort" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [         {         "cage": "AM1:0J:00JD11",         "accountNumber": "126854"         }     ]     },     "serviceDetails": {     "workVisitOrderNumber": "1-19864326570532",     "openCabinetForVisitor": true,     "supervisionReqForVisitor": true,     "durationVisit": "4 Hours",     "scopeOfWork": "If staff from customer company is unable to attend, please continue to accompany the visitor."     },     "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"     },     "contacts": [     {         "contactType": "ORDERING",         "userName": "johndoe"     },     {         "contactType": "TECHNICAL",         "userName": "johndoe",         "workPhonePrefToCall": "ANYTIME"     },     {         "contactType": "NOTIFICATION",         "userName": "johndoe"     }     ] }' ``` 回答例 ``` {     "OrderNumber": "1-19876653568916" } ``` 応答は注文が成功したことを示し、注文番号を返します。 ## ケージエスコートのご注文 - 拡張例[​](#ケージエスコートのご注文---拡張例 "への直接リンクケージエスコートのご注文 - 拡張例") サンプルcURLリクエスト: 訪問者がケージにアクセスできるようにIBXセキュリティエスコートをオーダーするには、エンドポイントにリクエストを[`/smarthands/cageEscort`](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands.md)送信します。`POST`リクエストの本文にサービスの詳細を入力します。オブジェクトを使用して、`attachments`技術者の追加詳細を含めることができます。 > **メモ** > > アタッチメント付きのオーダーを作成する前に、エンドポイントに電話してください。[`Attachments File`](https://docs.equinix.com/ja/api-catalog/attachmentsv1/attachments/createattachment.md) ``` curl -X POST "https://api.equinix.com/v1/orders/smarthands/cageEscort" -H "content-type: application/json" -H "authorization: Bearer " -d '{     "ibxLocation": {     "ibx": "AM1",     "cages": [         {             "cage": "AM1:0J:00JD11",             "cabinets": [                 "AM1:0J:00JD11:0001"             ],             "accountNumber": "126854"         }       ]     },     "serviceDetails": {         "workVisitOrderNumber": "1-19864326570532",         "openCabinetForVisitor": true,         "supervisionReqForVisitor": true,         "durationVisit": "4 Hours",         "scopeOfWork": "If staff from customer company is unable to attend, please continue to accompany the visitor.",         "needSupportFromASubmarineCableStationEngineer": true     },     "attachments": [      {         "id": "fcb2k8763-2947-456e-8d68-f280753d60ba",         "name": "WorkVisitInstructions.docx"      }   ],   "schedule": {     "scheduleType": "SCHEDULED_MAINTENANCE",     "requestedStartDate": "2019-08-30T22:00:49.776Z",     "requestedCompletionDate": "2019-08-31T22:00:49.776Z"   },     "customerReferenceNumber": "EQX-PO2019-08-001",     "purchaseOrder": {         "purchaseOrderType": "EXEMPTED",         "attachment": {             "id": "abc1fd2e-345f-67g4-hi89-01jk234l5m6n",             "name": "PurchaseOrderExemptionForm123.docx"     }   },   "contacts": [     {         "contactType": "ORDERING",         "userName": "johndoe"     },     {         "contactType": "TECHNICAL",         "name": "Jane Smith",         "email": "janesmith@corporation.com",         "workPhoneCountryCode": "+44",         "workPhone": "0148211111",         "workPhonePrefToCall": "MY_BUSINESS_HOURS",         "workPhoneTimeZone": "Europe/London",         "mobilePhoneCountryCode": "+44",         "mobilePhone": "0123456789",         "mobilePhonePrefToCall": "MY_BUSINESS_HOURS",         "mobilePhoneTimeZone": "Europe/London"     },     {         "contactType": "NOTIFICATION",         "userName": "johndoe"     },     {         "contactType": "NOTIFICATION",         "userName": "jillsnow"     }   ] }' ``` 本文のパラメータと説明の完全なリストについては、[APIリファレンスを](https://docs.equinix.com/ja/api-catalog/smarthandsv1/smarthands.md)参照してください。